Subject: bug#70357: 30.0.50; loadup.el, load nadvice before seq

From: Michael Heerdegen <[email-masked]>
Date: Sun, 14 Apr 2024 04:30:12 +0200

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> I did not look in enough detail to see the specific problem.  E.g. I
> don't know what is the actual warning that we're trying to emit.

It says

  byte-compile-report-error((void-function advice--cd*r))

This should be the occurrence in `byte-compile--function-signature', no?
And nadvice.el maybe not loaded?

AFAIU this could be the cause of the circle and its recursion.

Michael.